Who Bought/Sold
Data Freshness & Historical Coverage
For data freshness and historical coverage, see Data Coverage by Chain; this endpoint follows it except where noted below.
Results are served from a server-side cache: once a requested date range has fully settled (about two days after it closes) it is cached for up to 7 days, while ranges that include today or a recently-closed window use a short cache of up to 5 minutes.
This endpoint provides an aggregated summary of trade volumes in USD for addresses. It can be used to identify addresses that are net buyers or sellers of a token within a time period.
API key for authentication
Request model for TGM who bought/sold endpoint.
This endpoint provides an aggregated summary of trade volumes in USD for addresses involved in DEX (Decentralized Exchange) trades for a specific token.
Blockchain chain
solanaPossible values: Address of token
2zMMhcVQEXDtdE6vsFS7S7D5oUodfJHE8vd1gnBouauvAre we checking buys or sells
BUYPossible values: Additional filters to apply to the query.
{"include_smart_money_labels":["Whale","Smart Trader"],"trade_volume_usd":{"min":1}}Custom sort order to override the endpoint's default ordering.
Examples:
- [{"field": "bought_volume_usd", "direction": "DESC"}] - Sort by bought volume descending
- [{"field": "sold_volume_usd", "direction": "ASC"}] - Sort by sold volume ascending
TGM who bought/sold data
Bad Request
Unauthorized
Payment Required
Forbidden
Not Found
Unprocessable Content
Too Many Requests
Internal Server Error
Bad Gateway
Service Unavailable
Gateway Timeout
POST /api/v1/tgm/who-bought-sold HTTP/1.1
Host: api.nansen.ai
apikey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 362
{
"chain": "solana",
"token_address": "2zMMhcVQEXDtdE6vsFS7S7D5oUodfJHE8vd1gnBouauv",
"buy_or_sell": "BUY",
"date": {
"from": "2025-05-01T00:00:00Z",
"to": "2025-05-03T23:59:59Z"
},
"pagination": {
"page": 1,
"per_page": 10
},
"filters": {
"include_smart_money_labels": [
"Whale",
"Smart Trader"
],
"trade_volume_usd": {
"min": 1
}
},
"order_by": [
{
"field": "bought_volume_usd",
"direction": "ASC"
}
]
}{
"data": [
{
"address": "0x1234567890123456789012345678901234567890",
"address_label": "High Gas Consumer",
"bought_token_volume": 1000.5,
"sold_token_volume": 500.25,
"token_trade_volume": 500.25,
"bought_volume_usd": 25000,
"sold_volume_usd": 12500,
"trade_volume_usd": 12500
}
],
"pagination": {
"page": 1,
"per_page": 10,
"is_last_page": true
}
}Last updated
Was this helpful?